#include <bits/stdc++.h>
using namespace std;

long long aps(long long x){
    if(x>0)return x;
    else return -x;
}

int main(){

    int n,m;
    long long s=0;
    int d[100001];
    cin>>n>>m;
    for(int i=0;i<n;i++)cin>>d[i];

    for(int i=0;i<m;i++){
        int x,y;
        cin>>x>>y;
        s+=aps((long long)(d[x-1])+d[y-1]);
    }
    cout<<s<<endl;

return 0;
}